#!/bin/bash
#
# Script de calcul d'ephemerides multiples par appel du Webservice Miriade
# @author J. Berthier (IMCCE/OBSPM) <berthier@imcce.fr>
# @website http://vo.imcce.fr/webservices/miriade
# 2012, IMCCE
#

# Usage
#
# ./client_ephemcc-multi.sh targets.dat epochs.dat multi.dat
#
function usage() {
  echo "Usage: $0 <targets_filename> <epochs_filename> <result_filename>"
  exit 0
}

# Number of arguments
if [ $# -lt 3 ]; then
  usage
fi
# 1 Target file name
targetsFile=$1
# 2 Epoch file name
epochsFile=$2
# Result file name
resultFile=$3

# Web service URL
url="http://vo.imcce.fr/webservices/miriade/ephemcc_query.php?"
# Epoch
###epoch="-ep=2453002.24128009239&"
# Number of date
###nbdate="-nbd=1&"
# Step size (e.g. 1h or 0.2d ...)
###step="-step=1d&"
# Time scale (UTC or TT)
tscale="-tscale=UTC&"
# Observer location code
observer="-observer=@500&"
# Planetary theory
theory="-theory=INPOP&"
# Ephemeris type (e.g. 1=astrometric J2000)
ephtype="-teph=1&"
# Coordinate type (e.g. 1=equatorial)
coortype="-tcoor=1&"
# Mime type of the output (e.g. votable, html, text)
mime="-mime=text&"
# Word which definite the name of the caller application, or which describes the request
from="-from=TestMultiEphem"

# Miriade arguments
miriade_args=${tscale}${observer}${theory}${ephtype}${coortype}${mime}${from}
# Call Miriade.ephemcc method
curl -o ${resultFile} -F "epochs=@${epochsFile}" -F "targets=@${targetsFile}" "${url}${miriade_args}"

# Fin
echo "Done"
