#!/bin/bash
#
# Script d'appel de la methode ViSiON du Webservice Miriade
# @author J. Berthier (IMCCE/OBSPM) <berthier@imcce.fr>
# @website http://vo.imcce.fr/webservices/miriade
# 2014, IMCCE
#

# Usage
#
# ./client_vision.sh "a:Ceres,p:Jupiter,p:Mars" 2014-05-18 007 vision.pdf
#
function usage() {
  echo "Usage: $0 <target> <epoch> <observer> <result_filename>"
  exit 0
}

# Test du nombre d'argument sur la ligne de cmde
if [ $# -lt 3 ]; then
  usage
fi
# Liste des cibles: 1er argument ligne de cmde
target=$1
# Epoch: 2e argument ligne de cmde
epoch=$2
# Observateur: 3e argument ligne de cmde
observer=$3
# Nom du fichier resultats: 4e argument ligne de cmde
resultFile=$4

# Web service URL
url="http://vo.imcce.fr/webservices/miriade/vision_query.php?"
# Target
target="-name=$target&"
# Epoch
epoch="-ep=$epoch&"
# Number of date
nbdate="-nbd=1&"
# Step size
step="-step=1d&"
# Observer location code
observer="-observer=$observer&"
# Mime type of the output (e.g. votable, html, pdf)
mime="-mime=pdf&"
# Word which definite the name of the caller application, or which describes the request
from="-from=TestVision"

# Call Miriade
#curl -o ${resultFile} ${url}${target}${epoch}${observer}${nbdate}${step}${mime}${from}
wget -O ${resultFile} ${url}${target}${epoch}${observer}${nbdate}${step}${mime}${from}

# Fin
echo "Done"
